# $Revision: 1.19 $, $Date: 2007/04/19 08:54:01 $
%define		_automakever	automake1.9
Summary:	KSmoothDock - a cool desktop panel
Summary(pl.UTF-8):	KSmoothDock - przyjemny panel dla pulpitu
Name:		ksmoothdock
Version:	4.5
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/ksmoothdock/%{name}-%{version}_%{_automakever}.tar.gz
# Source0-md5:	7e63c3d67c598d53c39b12a3b2fd17af
URL:		http://www.kde-look.org/content/show.php?content=6585
BuildRequires:	kdelibs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	qt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KSmoothDock is a cool desktop panel (like KDE's kicker) for KDE 3.2
with smooth zooming (2 modes: normal and parabolic). Its aim is to
provide a cool alternative/complement to kicker. As it is intended for
KDE/Linux, its behaviour will be like that of kicker.

%description -l pl.UTF-8
KSmoothDock to przyjemny panel dla pulpitu (podobnie jak kicker z KDE)
dla KDE 3.2 z gładkim powiększaniem (2 tryby: normalny i
paraboliczny). Jego celem jest dostarczenie alternatywy/dopełnienia
dla kickera. Jako że jest przeznaczony dla Linuksa z KDE, zachowanie
przypomina kickera.

%prep
%setup -q -n %{name}

%build
%{__make} -f admin/Makefile.common cvs
%configure \
	--with-qt-libraries=%{_libdir} \
	--disable-rpath
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	shelldesktopdir=%{_desktopdir}/kde \
	kde_htmldir=%{_kdedocdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/%{name}
%{_iconsdir}/*/*/*/*.png
%{_desktopdir}/kde/*.desktop
%{_kdedocdir}/en/ksmoothdock

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksmoothdock.spec,v $
Revision 1.19  2007/04/19 08:54:01  rotom
- up to 4.5

Revision 1.18  2007/04/13 15:35:05  shadzik
- 4.4

Revision 1.17  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.15  2006/11/17 20:03:25  shadzik
- 4.3

Revision 1.14  2006/09/21 12:07:02  shadzik
- 4.2; we use automake1.9 version

Revision 1.13  2006/09/13 15:01:20  shadzik
- up to 4.1
- make own configure skript, the default one seems broken

Revision 1.12  2006/09/03 13:01:12  shadzik
- 4.0.1

Revision 1.11  2006/08/26 21:01:42  glen
- correct URL

Revision 1.10  2006/08/25 18:22:10  shadzik
- 4.0, it's rewritten from scratch but inside the package nothing really changed

Revision 1.9  2006/01/14 23:11:09  arekm
- and back to org url

Revision 1.8  2006/01/14 23:10:42  arekm
- fetch tarball

Revision 1.7  2006/01/14 23:05:07  arekm
- rel 2

Revision 1.6  2006/01/14 23:01:40  arekm
- builds

Revision 1.5  2006/01/14 22:23:07  arekm
- updated to 3.6.1 but there are build problems

Revision 1.4  2006/01/14 21:32:17  arekm
- up to 3.6 (Michal Sutkowski) ; rel 1

Revision 1.3  2005/05/31 18:45:43  qboosh
- pl

Revision 1.2  2005/05/27 10:16:04  spider
- adaptarized

Revision 1.1  2005/05/27 10:07:18  spider
- init
